Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1605385 - pcb: FTBFS in Fedora rawhide
Summary: pcb: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcb
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kiara Navarro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 15:09 UTC by Mohan Boddu
Modified: 2019-02-21 19:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 19:50:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 15:09 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 15:09 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 15:09 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 15:09:33 UTC
pcb failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28210464


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix pcb at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pcb will be orphaned. Before branching of Fedora 30,
pcb will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 15:09:38 UTC
Created attachment 1465344 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 15:09:42 UTC
Created attachment 1465345 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 15:09:45 UTC
Created attachment 1465346 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:16:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Alain V. 2018-09-14 11:47:13 UTC
I volunteer to improve the situation:

1. I tried to contact package maintainer -> no success ... Orphaning the package ?
2. I volunteer to co-maintain this package
3. pcb upstream is now at 4.1.2 [1], pcb-20140316 is very old now.
4. I volunteer to update this package. Can use my COPR.
5. I seek sponsor for package review in the EDA field.
6. I hope pcb can make it for F29...

My FAS is: avigne

Don't know how I can move forward, without Fedora access and some reviewers/admin guys to help me.

Soon.
Alain

[1] http://pcb.geda-project.org/news.html#4.1.2

Comment 6 Alain V. 2019-02-21 19:50:28 UTC
In the meantime, I became the maintainer of PCB package, fix the FTBFS, and submit release 4.2.0 to rawhide.
https://src.fedoraproject.org/rpms/pcb

I close the ticket.


Note You need to log in before you can comment on or make changes to this bug.